Skip to main content
POST
/
api
/
payments
/
razorpay
/
{environment}
/
subscriptions
/
verify
Verify Razorpay Subscription Authorization
curl --request POST \
  --url https://api.example.com/api/payments/razorpay/{environment}/subscriptions/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscriptionId": "sub_123",
  "paymentId": "pay_123",
  "signature": "razorpay_signature"
}
'
{
  "verified": true,
  "subscription": {
    "subscriptionId": "sub_123",
    "planId": "plan_123",
    "customerId": "cust_123",
    "subjectType": "<string>",
    "subjectId": "<string>",
    "currentStart": "2023-11-07T05:31:56Z",
    "currentEnd": "2023-11-07T05:31:56Z",
    "endedAt": "2023-11-07T05:31:56Z",
    "quantity": 123,
    "chargeAt": "2023-11-07T05:31:56Z",
    "startAt": "2023-11-07T05:31:56Z",
    "endAt": "2023-11-07T05:31:56Z",
    "totalCount": 123,
    "authAttempts": 123,
    "paidCount": 123,
    "remainingCount": 123,
    "shortUrl": "<string>",
    "hasScheduledChanges": true,
    "changeScheduledAt": "2023-11-07T05:31:56Z",
    "offerId": "<string>",
    "authorizationPaymentId": "pay_123",
    "authorizationVerifiedAt": "2023-11-07T05:31:56Z",
    "notes": {},
    "providerCreatedAt": "2023-11-07T05:31:56Z",
    "syncedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live

Body

application/json
subscriptionId
string
required
Minimum string length: 1
Example:

"sub_123"

paymentId
string
required
Minimum string length: 1
Example:

"pay_123"

signature
string
required
Minimum string length: 1

Response

Razorpay subscription authorization verified

verified
boolean
required
subscription
object
required